System Requirements

These are the currently published system requirements for supported versions of Commerce Server

CS 11

  • Microsoft Windows Server 2008 R2 SP1 or Windows Server 2012 for production usage
    x64 editions of Microsoft Windows 7 or Windows 8 are supported for development scenarios.
  • Microsoft SQL Server 2008 R2 SP2 or SQL Server 2012 SP1
  • Microsoft .NET Framework 4.5 with Microsoft Visual Studio 2012
  • If required - SharePoint 2010 or SharePoint 2013
  • If required - Microsoft BizTalk Server 2010 or BizTalk Server 2013

CS 10.1

  • Microsoft Windows Server 2008 R2 or Windows Server 2012 for production usage
    x64 editions of Microsoft Windows 7 or Windows 8 are supported for development scenarios.
  • Microsoft SQL Server 2008 R2 or SQL Server 2012
  • Microsoft .NET Framework 3.5 or 4.5 with Microsoft Visual Studio 2010 or Visual Studio 2012
  • If required - SharePoint 2010 or SharePoint 2013
  • If required - Microsoft BizTalk Server 2010 or BizTalk Server 2013
WS2012 Certified

CS 10

  • Microsoft Windows Server 2008 R2 or Windows Server 2012 for production usage
    x64 editions of Microsoft Windows 7 or Windows 8 are supported for development scenarios.
  • Microsoft SQL Server 2008 R2 or SQL Server 2012
  • Microsoft .NET Framework 3.5 or 4.5 with Microsoft Visual Studio 2010 or Visual Studio 2012
  • If required - SharePoint 2010 or SharePoint 2013
  • If required - Microsoft BizTalk Server 2010
WS2012 Certified

CS 2009 R2 SP1

Applies to all editions, Microsoft or Ascentium branded

  • Microsoft Windows Server 2008 R2 64-bit, Microsoft Windows Server 2008 64-bit or Windows Server 2012
  • Microsoft SQL Server 2008 R2 (Standard or Enterprise) (64-bit), Microsoft SQL Server 2008 (Standard or Enterprise) (64-bit) or SQL Server 2012
  • Microsoft .NET Framework 3.5, 4.0 or 4.5 with Microsoft Visual Studio 2010, or Microsoft Visual Studio 2008
  • If required - Microsoft SharePoint Foundation 2010 or Microsoft SharePoint Server 2010.
  • If required - Microsoft BizTalk Server 2009, BizTalk Server 2010 or BizTalk Server 2013

CS 2009 R2

Applies to all editions, Microsoft or Ascentium branded

  • Microsoft Windows Server 2008 R2 64-bit, or Microsoft Windows Server 2008 64-bit
  • Microsoft SQL Server 2008 R2 (Standard or Enterprise) (64-bit) or Microsoft SQL Server 2008 (Standard or Enterprise) (64-bit)
  • Microsoft .NET Framework 3.5 with Microsoft Visual Studio 2010, or Microsoft Visual Studio 2008
  • If required - Microsoft SharePoint Foundation 2010 or Microsoft SharePoint Server 2010.
  • If required - Microsoft BizTalk Server 2009 or 2010

CS 2009

Applies to all editions, Microsoft or Ascentium branded

  • Microsoft Windows Server 2003 Standard or Enterprise (32-bit or 64-bit) or Microsoft Windows Server 2008 Standard or Enterprise (32-bit or 64-bit)
  • Microsoft SQL Server 2005 (Standard or Enterprise) or Microsoft SQL Server 2008
  • Microsoft .NET Framework 3.5 with Microsoft Visual Studio 2008
  • If required - Microsoft Office SharePoint Server 2007 or Microsoft Office SharePoint Server 2010
  • If required - Microsoft BizTalk Server 2006 or 2006 R2

System Requirements Comparison
Brand Sitecore CS.NET Microsoft/Ascentium
Version 11 10.1 10 2009 R2 SP1 2009 R2 2009
Required
Architecture x64 x64 x64 x64 x64 x86 or x64
Windows Server
(for production)
2008 R2 SP1
2012
2008 R2
2012
2008 R2
2012
2008 R2
2008
2012
2008 R2
2008
2003 (Std or Ent)
2008 (Std or Ent)
SQL Server 2008 R2 SP2
2012 SP1
2008 R2
2012
2008 R2
2012
2008 R2 (Std or Ent)
2008 (Std or Ent)
2012
2008 R2 2005
.NET Framework 4.5 3.5
4.5
3.5
4.5
3.5
4.0
4.5
3.5 3.5
Optional
SharePoint Server 2010
2013
2010
2013
2010
2013
Foundation 2010
2010
Foundation 2010
2010
2007
2010
BizTalk Server 2010
2013
2010
2013
2010 2009
2010
2013
2009
2010
2006
2006 R2
2009
Development
Visual Studio 2012 2010
2012
2010
2012
2010
2008
2010
2008
2008
Desktop OS 7
8
7
8
7
8
7
8
7 7
Business Tools
Desktop OS 7
8
7
8
7
8
7
8
7 7

Assumes the latest available service pack where available and all mandatory updates